(function ($, Drupal, window, once, drupalSettings) {
  Drupal.behaviors.usercentrics = {
    attach: function (context) {
      let buttonLabel = Drupal.t(
        'Manage consents',
        {},
        { context: 'usercentrics' },
      );
      let buttonHtml = $(
        '<button id="uc_toggle_dialog" aria-label="' +
          buttonLabel +
          '" title="' +
          buttonLabel +
          '" type="button" class="uc_toggle_dialog uc_toggle_dialog_override" rel="open-consent-manager">' +
          buttonLabel +
          '</button>'
      );
      $(buttonHtml).on('click', function (event) {
        event.preventDefault();
        UC_UI.showFirstLayer();
      });
      if (
        typeof drupalSettings.usercentrics !== 'undefined' &&
        typeof drupalSettings.usercentrics.logopath !== 'undefined'
      ) {
        $(buttonHtml).css(
          'background-image',
          'url(' + drupalSettings.usercentrics.logopath + ')'
        );
      }
      $('body', context).append(buttonHtml);
    },
  };
})(jQuery, Drupal, this, once, drupalSettings);
