<?php

namespace Drupal\usercentrics\Controller;

use Drupal\Core\Config\Entity\DraggableListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of Usercentrics apps.
 */
class UsercentricsAppListBuilder extends DraggableListBuilder {

  /**
   * {@inheritdoc}
   */
  protected $limit = FALSE;

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'usercentrics_app_list';
  }

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['status'] = $this->t('Status', [], ['context' => 'usercentrics']);
    $header['uc_id'] = $this->t('Usercentrics ID', [], ['context' => 'usercentrics']);
    $header['label'] = $this->t('Label', [], ['context' => 'usercentrics']);

    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /** @var \Drupal\usercentrics\UsercentricsAppInterface $entity */
    $row['status']['#markup'] = $entity->status() ? $this->t('Enabled', [], ['context' => 'usercentrics']) : $this->t('Disabled', [], ['context' => 'usercentrics']);
    $row['uc_id']['#markup'] = $entity->ucId();
    $row['label'] = $entity->label();

    return $row + parent::buildRow($entity);
  }

}
